// POOMAppointment.h: interface for the POOMAppointment class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POOMAPPOINTMENT_H__51545BD1_920F_470F_BA73_159B6C3DAB45__INCLUDED_)
#define AFX_POOMAPPOINTMENT_H__51545BD1_920F_470F_BA73_159B6C3DAB45__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class POOMAppointment  
{
private:
	IAppointment		*appointment;
	BSTR oid;
public:
	CString extractViewData();
	CString extractAllData();
	CString extractRecipients(IRecipients*);
	CString extractRecurrencePattern(VARIANT_BOOL, IRecurrencePattern*);
	CString getDayOfWeek(long);
	BOOL save();
	BSTR getOid();
	void rebuildRecipients(BSTR);
	POOMAppointment(IAppointment *);
	POOMAppointment(IAppointment *, BSTR);
	POOMAppointment(IAppointment *, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR);

};

#endif // !defined(AFX_POOMAPPOINTMENT_H__51545BD1_920F_470F_BA73_159B6C3DAB45__INCLUDED_)
