/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: SW_events.h,v 1.5 2005/09/25 12:56:34 guich Exp $ */

#ifdef __DEFINE_FUNCTIONS
int32 pumpEvents(int32 wait);
// these functions are allowed to call methods directly (not using the vmGlobals.)
int32 initEvents();
int32 runEventsLoop();
void postStopEvent(int32 exitCode);
int32 eventIsAvailable();
int32 getTimeStamp();
uint32 millisToTicks(int32 millis);
void registerHotkeys();
void unregisterHotkeys();
#endif
extern int swExitCode; // guich@510_16
/*===========================================================================*/
