/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: dbtypes.h,v 1.2 2005/08/12 18:28:58 fdie Exp $ */

#ifndef DBTYPES_H_INCLUDED
#define DBTYPES_H_INCLUDED

#if defined(PALMOS)
#define SWLibTypeID       'libr'      // Standard library database type
#if !defined(BUILDING_CUSTOM_LIB)
#define SWLibCreatorID    'SWNL'
#endif
#endif // PALMOS

#if defined WIN32 || defined PALMOS

#define SUPERWABA_CREATOR_ID  'SWAB'
#define SUPERWABA_TYPE_ID     'Wrp2'
#define SUPERWABA_TYPE_EXT    'SWAX'
#define MEMO_CREATOR_ID       'memo'
#define REGFONT_CREATOR_ID    'Font'
#define REGFONT_TYPE_ID       'Font'
#define UFOFONT_CREATOR_ID    'UFFo'
#define UFOFONT_TYPE_ID       'DATA'
#define AALIASFONT_CREATOR_ID 'AAFn'
#define AALIASFONT_TYPE_ID    'DATA'
#define DATA_TYPE_ID          'DATA'

#else // defined WIN32

#define MEMO_CREATOR_ID       (('m' << 24) | ('e' << 16) | 'm' << 8 | 'o')
#define SUPERWABA_CREATOR_ID  (('S' << 24) | ('W' << 16) | 'A' << 8 | 'B')
#define SUPERWABA_TYPE_ID     (('W' << 24) | ('r' << 16) | 'p' << 8 | '2')
#define SUPERWABA_TYPE_EXT    (('S' << 24) | ('W' << 16) | 'A' << 8 | 'X')
#define REGFONT_CREATOR_ID    (('F' << 24) | ('o' << 16) | 'n' << 8 | 't')
#define REGFONT_TYPE_ID       (('F' << 24) | ('o' << 16) | 'n' << 8 | 't')
#define UFOFONT_CREATOR_ID    (('U' << 24) | ('F' << 16) | 'F' << 8 | 'o')
#define UFOFONT_TYPE_ID       (('D' << 24) | ('A' << 16) | 'T' << 8 | 'A')
#define AALIASFONT_CREATOR_ID (('A' << 24) | ('A' << 16) | 'F' << 8 | 'n')
#define AALIASFONT_TYPE_ID    (('D' << 24) | ('A' << 16) | 'T' << 8 | 'A')
#define DATA_TYPE_ID          (('D' << 24) | ('A' << 16) | 'T' << 8 | 'A')

#endif // defined WIN32 || defined PALMOS

#endif
/*===========================================================================*/
