// POOMRecurrence.h: interface for the POOMRecurrence class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POOMRECURRENCE_H__DD8591CF_9F1C_430F_BA86_9287D5CF171D__INCLUDED_)
#define AFX_POOMRECURRENCE_H__DD8591CF_9F1C_430F_BA86_9287D5CF171D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class POOMRecurrence  
{
private:
	CString genericRecurrenceString;
	IRecurrencePattern *recurrence;
	VARIANT_BOOL recurring;
public:
	CString getGenericRecurrenceString();
	CString getDayOfWeekAsString(long);
	long getDayOfWeekAsLong(BSTR);
	CString getRecurrenceTypeAsString(long);
	long getRecurrenceTypeAsLong(BSTR);
	IRecurrencePattern * getIRecurrencePattern();
	POOMRecurrence(VARIANT_BOOL, IRecurrencePattern *);
	POOMRecurrence(IRecurrencePattern *, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR, BSTR);
	virtual ~POOMRecurrence();

};

#endif // !defined(AFX_POOMRECURRENCE_H__DD8591CF_9F1C_430F_BA86_9287D5CF171D__INCLUDED_)
