/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: SW_settings.h,v 1.2 2005/01/05 14:37:21 guich Exp $ */

//>>>PGR I should make a different file for the SIP methods

#ifndef SW_SETTINGS_H_INCLUDED
#define SW_SETTINGS_H_INCLUDED

#ifdef WINCE
  #include <winioctl.h>
  extern BOOL KernelIoControl(DWORD dwIoControlCode, LPVOID lpInBuf, DWORD nInBufSize, LPVOID lpOutBuf, DWORD nOutBufSize, LPDWORD lpBytesReturned);
  #define IOCTL_HAL_REBOOT CTL_CODE(FILE_DEVICE_HAL, 15, METHOD_BUFFERED, FILE_ANY_ACCESS)
  #define IOCTL_HAL_GET_DEVICEID CTL_CODE(FILE_DEVICE_HAL, 21, METHOD_BUFFERED, FILE_ANY_ACCESS)
  #if !(defined(WIN32_PLATFORM_HPCPRO) && _WIN32_WCE == 211)
    #define HAS_SIP
    #include <sip.h>
  #endif
  #if _WIN32_WCE >= 300 && !defined(WIN32_PLATFORM_HPC2000)
    #include <Aygshell.h>
    #pragma comment( lib, "aygshell" )   // Link Pocket PC lib for menubar
  #endif
#endif

#ifdef __DEFINE_FUNCTIONS
void getSettings();
void storeSettings();
void showSip(int16 on, int16 ontop);
#endif

#endif
/*===========================================================================*/
