/*********************************************************************************
 *  SuperWaba Virtual Machine, version 5                                         *
 *  Copyright (C) 2000-2005 SuperWaba Ltda.                                      *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library and virtual machine is distributed in the hope that it will     *
 *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
 *                                                                               *
 *  Please see the software license located at /license.txt for more details.    *
 *                                                                               *
 *  You should have received a copy of the License along with this software;     *
 *  if not, write to                                                             *
 *                                                                               *
 *     SuperWaba Ltda.                                                           *
 *     Rua Padre Leonel Franca, 480, sala 27A                                    *
 *     Instituto Genesis - PUC-RIO                                               *
 *     Rio de Janeiro / RJ - Brazil                                              *
 *     Cep: 22451-000                                                            *
 *     E-mail: licensing@superwaba.com.br                                        *
 *********************************************************************************/
/* $Id: SW_utils.h,v 1.5 2005/09/25 12:56:34 guich Exp $ */

#ifndef UTILS_H
#define UTILS_H

char * boundedCopy(char * dst, char * dstEnd, char const * src);
char * boundedCopyN(char * dst, char * dstEnd, char const * src, int len);
char * boundedCat(char * dst, char * dstEnd, char const * src);
char * boundedCatN(char * dst, char * dstEnd, char const * src, int len);

int32 ascii2unicode(TCHAR * dst, char const * src, int32 dstSize);
int32 unicode2ascii(char * dst, TCHAR const * src, int32 dstSize);

#if !HAVE_GETOPT_LONG
int32 my_atoi(char const * c_p);
#endif

#endif
