/* $Id: AudioPlayer.h,v 1.4 2004/09/22 10:38:26 petrus Exp $ */

#include <MdaAudioSamplePlayer.h>

/*-------------------------------------------------------- class AudioPlayer -+
|                                                                             |
+----------------------------------------------------------------------------*/
class AudioPlayer : public MMdaAudioPlayerCallback
{
public:
   AudioPlayer(char * data, RSemaphore & sem);  // data starts with an uint32: its size.
   AudioPlayer(unsigned short * path, int len, RSemaphore & sem);
   void play();
   virtual ~AudioPlayer();

private:
   CMdaAudioPlayerUtility * m_audio;
   RSemaphore & m_semAudioIdle;

   void MapcInitComplete(TInt error, const TTimeIntervalMicroSeconds& duration);
   void MapcPlayComplete(TInt error);
};

/*============================================================================*/

